Create a SEPA Direct Debit mandate
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_mandate": {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_mandate_signature_email": true
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates"
payload = { "direct_debit_mandate": {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_mandate_signature_email": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direct_debit_mandate: {
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
send_mandate_signature_email: true
}
})
};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_mandate_reference": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_signature",
"created_at": "2023-11-07T05:31:56Z",
"mandate_signature_date": "2026-01-01T00:00:00Z",
"schedule_type": "one_off",
"notify_client": true,
"sign_url": "<string>",
"iban": "FR7630006000011234567890189"
}
}Mandates
Create a SEPA Direct Debit mandate
OAuth scope: sepa_direct_debit.write
Create a SEPA Direct Debit mandate for a client. The response includes sign_url only when payment_info is provided in the request.
POST
/
v2
/
sepa
/
direct_debit_mandates
Create a SEPA Direct Debit mandate
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
The SEPA Direct Debit mandate has been created successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I